button{
    outline: none;
    display: flex;
    align-items: center;
    justify-content: center;
    border:0;
}
.treelabel{
    display:flex;
}
._white-bg{
    background:#fff;
}
._fixedbutton{
    position: fixed;
    bottom:.4rem;
    width:80% !important;
    left:10%;
}
.ellipsis {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.ellipsis-2{
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
}
.ellipsis-3{
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
}
/*处理苹果手机下方黑色条*/
@supports (bottom: env(safe-area-inset-bottom)) {
    body,.page-container,
    .footer-ios{
        box-sizing: content-box;
        padding-bottom: constant(safe-area-inset-bottom);
        padding-bottom: env(safe-area-inset-bottom);
    }
    #app.app-cont{
        height: calc(100vh - constant(safe-area-inset-bottom));
        height: calc(100vh - env(safe-area-inset-bottom));
    }
    .page-container.hasbar{
        padding-bottom: calc(.8rem + constant(safe-area-inset-bottom));
        padding-bottom: calc(.8rem + env(safe-area-inset-bottom));
    }
    .fixedbutton{
        padding-bottom:calc(.1rem + constant(safe-area-inset-bottom)) !important;
        padding-bottom:calc(.1rem + env(safe-area-inset-bottom)) !important;;
    }
    .xn-modal-inner{
        padding-bottom: calc(0rem + constant(safe-area-inset-bottom));
        padding-bottom: calc(0rem + env(safe-area-inset-bottom));
    }
}
